Subject: Re: What's cooking in git.git (Jun 2024, #01; Mon, 3)

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Jun 2024 11:31:58 -0700

Karthik Nayak <[email-masked]> writes:

> Hello Junio,
>
> Junio C Hamano <[email-masked]> writes:
>
> [snip]
>
>> * kn/update-ref-symref (2024-05-30) 7 commits
>>  - update-ref: add support for 'symref-update' command
>>  - reftable: pick either 'oid' or 'target' for new updates
>>  - update-ref: add support for 'symref-create' command
>>  - update-ref: add support for 'symref-delete' command
>>  - update-ref: add support for 'symref-verify' command
>>  - refs: create and use `ref_update_expects_existing_old_ref()`
>>  - Merge branch 'kn/ref-transaction-symref' into kn/update-ref-symref
>>
>>  "git update-ref --stdin" learned to handle transactional updates of
>>  symbolic-refs.
>>
>>  Expecting a (hopefully minor and final) reroll.
>>  source: <[email-masked]>
>
> I did send in a v3 recently:

The above is the v3 on May 30th.  I do not know offhand if all the
review comments on the previous round have been addressed in this
iteration?  Perhaps this needs to be marked as "Needs review" to
make sure, but I forgot to update it.

Thanks.